\documentclass[a4paper]{article}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}

%% Formatting
\usepackage{lmodern}
\usepackage{microtype} % improves the typesetting
\usepackage[document]{ragged2e} % text-alignment
\usepackage{indentfirst}
\usepackage{titlesec}
\usepackage{url}

%% Colors
\usepackage{xcolor}

%% Math
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{mathtools}
\usepackage{commath} % for proper differentials
\usepackage{siunitx}

%% Tables
\usepackage{multirow}
\usepackage[skip=0.5\baselineskip]{caption}

%% Subfigures
\usepackage[labelformat=simple]{subcaption}
\renewcommand\thesubfigure{(\alph{subfigure})} % Wrap subrefs with ()

%% Additional commands for writing
\usepackage{xspace}
\makeatletter
\def\@onedot{\ifx\@let@token.\else.\null\fi\xspace}
\DeclareRobustCommand\onedot{\futurelet\@let@token\@onedot}

\usepackage{hyperref}
\hypersetup{
  colorlinks,
  linkcolor = red!50!black,
  citecolor = blue!80!black, % using the ICML blue
  urlcolor  = magenta!75!black,
}

\def\eg{{e.g}\onedot} \def\Eg{{E.g}\onedot}
\def\ie{{i.e}\onedot} \def\Ie{{I.e}\onedot}
\def\cf{{cf}\onedot} \def\Cf{{Cf}\onedot}
\def\etc{{etc}\onedot} \def\vs{{vs}\onedot}
\def\wrt{w.r.t\onedot} \def\dof{d.o.f\onedot}
\def\etal{{et al}\onedot}
\def\adhoc{{ad hoc}\xspace}
\makeatother

\captionsetup[table]{skip=5pt}

\title{Template Project}
\author{John Doe}

\begin{document}

\maketitle
\clearpage

%% Add section files.
% \input{./sections/...}

\clearpage
\nocite{*}
\bibliographystyle{plain}
\bibliography{references}

\end{document}
